CoCoA-5 - Design #412

intersection (all lower case)
25 Oct 2013 22:50 - John Abbott

Status: In Progress Start date: 25 Oct 2013
Priority: Normal Due date:

Assignee: Anna Maria Bigatti % Done: 20%
Category: CoCoA-4 function to be added Estimated time: 4.00 hours
Target version: CoCoA-5.2.7 Spent time: 0.85 hour
Description

CoCoA-5 has Intersection but not intersection.

Should we change the name?

History

#1 - 26 Oct 2013 21:31 - Anna Maria Bigatti
- Category set to CoCoA-4 function to be added
- Target version set to CoCoA-5.1.0 Easter14

In CoCoALib we have intersect, so we have the same name in CoCoA-5.
| set Intersection just for backward compatibility, so that's the reason why it is just in the capitalized version.
However | have no strong feeling about whether or not to have also intersection.

#2 - 27 Oct 2013 00:40 - John Abbott

- Status changed from New to In Progress

CoCoA5 manual is confusing about intersect and Intersection.
Rectify!

#3 - 17 Apr 2014 18:42 - John Abbott
- % Done changed from 0 to 10
- Estimated time set to 4.00 h

We will discuss the design/names IntersectlList intersection etc??

#4 - 17 Apr 2014 18:45 - John Abbott
- Target version changed from CoCoA-5.1.0 Easter14 to CoCoA-5.1.1 Seoul14

#5 - 28 Jul 2014 17:41 - Anna Maria Bigatti

- Assignee set to Anna Maria Bigatti

- Target version changed from CoCoA-5.1.1 Seoul14 to CoCoA-5.?.?
- % Done changed from 10 to 20

The clean solution would be to have intersect doing what Intersection used to do.
Problem is intersect for IDEAL is implemented (rightly so) in C++, but for LIST (and also caring for the IDEAL case) is implemented in a package (a bit
more tedious to do it in Interpreter/BuiltinFunctions).

So implement it in BuiltinFunctions for LIST and clean-up!
But not urgent...

25 Apr 2024 1/1



http://www.tcpdf.org

